import { helper } from "@ember/component/helper"
import { htmlSafe } from "@ember/string"
import { isEmpty } from "@ember/utils"

export function highlight(_, hash) {
  let text = hash.phrase
  let part = hash.part

  if (isEmpty(part)) return text

  let replaced = text.replace(
    new RegExp(part, "i"),
    '<mark class="en-select-option-highlight">$&</mark>'
  )
  return htmlSafe(replaced)
}

export default helper(highlight)
